import React, { useState, useEffect } from 'react';
import { csv } from 'd3';


// Read CSV Data
const csvUrl =
  'https://gist.githubusercontent.com/anjanshrestha123/5ed9115fc5957851050af5c718861d22/raw/36374b72637291b416fd83fbe7a88f59bb56b72f/ice7.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = (d) => {
      
      // Converting year to Date 
      d.year = new Date(d.year)
      return d;
    };
    csv(csvUrl, row).then((data) => {
      setData(data);
    });
  }, []);
  return data;
};